**********************************************************
*                                                        *
* APPLECOMMANDER boot code.                              *
* Copyright (c) 2002, Rob Greene                         *
*                                                        *
* This code is published under the GPL license.  See the *
* AppleCommander site for license information.           *
*                                                        *
**********************************************************

 ORG $800

TEXT = $FB2F
HOME = $FC58
GR = $FB40
COLOR = $F864
HLIN = $F819
PRINT = $FDED
GETKEY = $FD0C
BELL = $FF3A
BOOT6 = $C600

 DFB 1 ; used by boot rom

 JSR TEXT
 JSR HOME
 JSR GR
*
* Draw the AppleCommander logo (well, sorta)
*
 LDX #XLOC2-COLORS
:LOGO LDA COLORS-1,X
 JSR COLOR
 LDA XLOC2-1,X
 STA $2C
 LDA YLOC-1,X
 LDY XLOC1-1,X
 JSR HLIN
 DEX
 BNE :LOGO
*
* Display AppleCommander text
*
:TEXT LDA MESSAGE,X
 BEQ :DONE
 JSR PRINT
 INX
 BNE :TEXT
:DONE JSR GETKEY
 JSR TEXT
 JSR HOME
 JSR BELL
 JMP BOOT6

COLORS HEX 0C0C0C0C0C0C ; green
 HEX 0D0D ; yellow
 HEX 0909 ; orange
 HEX 0101 ; red
 HEX 0303 ; purple
 HEX 060606 ; blue
XLOC2 HEX 181716141A1B
 HEX 1C1C
 HEX 1B1A
 HEX 1A1B
 HEX 1C1C
 HEX 1B141A
XLOC1 HEX 171615121711
 HEX 1010
 HEX 0F0F
 HEX 0F0F
 HEX 1010
 HEX 111217
YLOC HEX 0D0E0F101011
 HEX 1213
 HEX 1415
 HEX 1617
 HEX 1819
 HEX 1A1B1B

MESSAGE ASC " THIS DISK CREATED WITH APPLECOMMANDER."8D
 ASC "  ON THE WEB AT APPLECOMMANDER.SF.NET."8D8D
 ASC "INSERT ANOTHER DISK AND PRESS ANY KEY.."00











